Skip to Content
veriom

Answer question

POST
/v1/workspaces/{workspace_id}/discovery/questions/{question_id}/answer

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
question_id*Question Id
Formatuuid

Request Body

application/json
  1. body
answer*Answer

Response Body

Successful Response

application/json
  1. response
category*Category
confidence*Confidence
confirmation_state*Confirmation State
confirmed_at*|null
confirmed_by*|null
created_at*Created At
Formatdate-time
evidence_ids*array<string>
field_key*Field Key
high_impact*High Impact
id*Id
Formatuuid
observed_at*Observed At
Formatdate-time
redacted?Redacted
Defaultfalse
sensitive*Sensitive
source_kind*Source Kind
source_ref*Source Ref
supersedes_revision_id*|null
value*unknown|null
version*Version
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/discovery/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08/answer' \  -H 'Content-Type: application/json' \  -d '{  "answer": null}'
Example Response
{  "category": "string",  "confidence": "string",  "confirmation_state": "string",  "confirmed_at": "2019-08-24T14:15:22Z",  "confirmed_by": "41d52211-974d-4c1a-a696-959dc97cc570",  "created_at": "2019-08-24T14:15:22Z",  "evidence_ids": [    "string"  ],  "field_key": "string",  "high_impact": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "observed_at": "2019-08-24T14:15:22Z",  "redacted": false,  "sensitive": true,  "source_kind": "string",  "source_ref": "string",  "supersedes_revision_id": "85575177-1836-4298-a833-e871ebd8a168",  "value": null,  "version": 0}